STOFFPosition Class Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
STOFFPosition Class Reference

Class to define the position of an object (textbox, picture, ..) in the document. More...

`#include <STOFFPosition.hxx>`

## Public Types
enum | AnchorTo { Cell, Char, CharBaseLine, Frame, Paragraph, Page, Unknown }
| a list of enum used to defined the anchor More...

## Public Member Functions
| STOFFPosition ()
| constructor More...
virtual | ~STOFFPosition ()
| destructor More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
void | setOrigin (STOFFVec2f const &origin)
| utility function to set a origin in point More...
void | setSize (STOFFVec2f const &size)
| utility function to set a size in point More...
void | setAnchor (AnchorTo anchor)
| set the anchor More...
bool | operator== (STOFFPosition const &f) const
| basic operator== More...
bool | operator!= (STOFFPosition const &f) const
| basic operator!= More...

## Public Attributes
AnchorTo | m_anchorTo
| anchor position More...
STOFFVec2f | m_origin
| the origin in point More...
STOFFVec2f | m_size
| the size in point More...
STOFFVec2f | m_offset
| internal: an offset used to retrieve the local position in a DrawingLayer More...
librevenge::RVNGPropertyList | m_propertyList
| the property list More...

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFPosition const &pos)
| operator<< More...

## Detailed Description

Class to define the position of an object (textbox, picture, ..) in the document.

Stores the page, object position, object size, anchor, wrapping, ...

## Member Enumeration Documentation

## ◆ AnchorTo

enum STOFFPosition::AnchorTo

a list of enum used to defined the anchor

Enumerator
Cell |
Char |
CharBaseLine |
Frame |
Paragraph |
Page |
Unknown |

## Constructor & Destructor Documentation

## ◆ STOFFPosition()

STOFFPosition::STOFFPosition | ( |  | ) |
| inline

constructor

## ◆ ~STOFFPosition()

STOFFPosition::~STOFFPosition | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ addTo()

void STOFFPosition::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const
| inline

add to the propList

Referenced by STOFFFrameStyle::addTo().

## ◆ operator!=()

bool STOFFPosition::operator!= | ( | STOFFPosition const & | f | ) | const
| inline

basic operator!=

## ◆ operator==()

bool STOFFPosition::operator== | ( | STOFFPosition const & | f | ) | const
| inline

basic operator==

Referenced by operator!=().

## ◆ setAnchor()

void STOFFPosition::setAnchor | ( | AnchorTo | anchor | ) |
| inline

set the anchor

Referenced by StarFrameAttribute::StarFAttributeAnchor::addTo(), SDGParser::parse(), and StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone().

## ◆ setOrigin()

void STOFFPosition::setOrigin | ( | STOFFVec2f const & | origin | ) |
| inline

utility function to set a origin in point

Referenced by STOFFGraphicListener::openFooter(), STOFFGraphicListener::openHeader(), STOFFGraphicListener::openTable(), StarObjectSmallGraphicInternal::SdrGraphicGraph::send(), StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), and StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone().

## ◆ setSize()

void STOFFPosition::setSize | ( | STOFFVec2f const & | size | ) |
| inline

utility function to set a size in point

Referenced by StarFrameAttribute::StarFAttributeFrameSize::addTo(), STOFFFrameStyle::getPosition(), STOFFOLEParser::readContents(), STOFFOLEParser::readCONTENTS(), STOFFOLEParser::readOlePres(), StarObjectSmallGraphicInternal::SdrGraphicGraph::send(), StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), and StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFPosition const & | pos
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_anchorTo

AnchorTo STOFFPosition::m_anchorTo

anchor position

Referenced by addTo(), STOFFGraphicListener::insertShape(), STOFFTextListener::insertShape(), STOFFSpreadsheetListener::insertShape(), STOFFTextListener::openGroup(), operator==(), STOFFOLEParser::readContents(), STOFFOLEParser::readCONTENTS(), STOFFOLEParser::readOlePres(), StarObjectModel::sendPage(), StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone(), and setAnchor().

## ◆ m_offset

STOFFVec2f STOFFPosition::m_offset

internal: an offset used to retrieve the local position in a DrawingLayer

Referenced by operator==(), and StarObjectSmallGraphicInternal::SdrGraphicGroup::send().

## ◆ m_origin

STOFFVec2f STOFFPosition::m_origin

the origin in point

Referenced by operator==(), StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone(), and setOrigin().

## ◆ m_propertyList

librevenge::RVNGPropertyList STOFFPosition::m_propertyList

the property list

Referenced by addTo(), StarFrameAttribute::StarFAttributeOrientation::addTo(), operator==(), StarObjectModel::sendPage(), setOrigin(), and setSize().

## ◆ m_size

STOFFVec2f STOFFPosition::m_size

the size in point

Referenced by StarFrameAttribute::StarFAttributeFrameSize::addTo(), STOFFFrameStyle::getPosition(), operator==(), StarTableInternal::Table::send(), setSize(), and StarTableInternal::TableBox::updatePosition().

The documentation for this class was generated from the following files:

- STOFFPosition.hxx
- STOFFPosition.cxx